:root {
  --primary-color: #2f2e2e;
  --accent-color: #bada55;
}

body {
  font-family: 'Franklin Gothic', sans-serif;
  overflow-x: hidden;
}

@media (max-width: 768px) {
  .container, .row, .col {
    width: 100%;
    max-width: 100%;
  }
}

.hero-section {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  text-align: center;
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(./src/imagen1.webp);
  background-position: center;
  background-size: cover;
}

.hero-content {
  padding-top: 5vh;
  padding-bottom: 75vh;
}


@media (max-width: 768px) {
  .hero-section {
    background-size: 500% 100%;
    background-repeat: no-repeat;
    background-position: center top;
    padding-top: 3rem; /* Por si necesitas algo de espacio superior */
  }
}

.gallery-item {
  transition: transform 0.3s ease;
  border-radius: 8px;
  overflow: hidden;
}

.gallery-item:hover {
  transform: translateY(-5px);
}

.scroll-anim {
  opacity: 0;
  transform: translateY(50px);
  transition: all 0.6s ease;
}

.scroll-anim.visible {
  opacity: 1;
  transform: translateY(0);
}

#nosotros {
  min-height: 100vh; /* altura mínima igual al viewport */
  display: flex;
  align-items: center;
  background-image: linear-gradient(rgba(0,0,0,0.2), rgba(0,0,0,0.2)), url(./src/Fondos/Fondo4.webp);
  background-position: center;
  background-size: cover;
}

@media (max-width: 768px) {
  .hero-section h1 {
      font-size: 2.5rem;
  }
  
  .hero-section p {
      font-size: 1.2rem;
  }
  
  .card {
      margin-bottom: 1.5rem;
  }
}

.lightbox-overlay {
  background: rgba(0,0,0,0.9) !important;
}

.lb-data .lb-caption {
  font-size: 1.1rem !important;
}

.sobre-nosotros{
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(./src/captura-ia-viniedos.webp);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.sobre-nosotros-titulo{
  color: rgba(255, 255, 255, 1);
}

#eventos{
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(./src/carretera-fondo2.webp);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.btn-warning {
  background-color: var(--accent-color);
  border: none;
  color: #000;
}

.btn-warning:hover {
  background-color: #d0e65a;
  color: #000;
}
